Freeciv-3.1: achievement Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
achievement Struct Reference

`#include <achievements.h>`

## Data Fields

int | id
struct name_translation | name
bool | ruledit_disabled
enum achievement_type | type
int | value
bool | unique
int | culture
struct player * | first
bv_player | achievers
char * | first_msg
char * | cons_msg

## Detailed Description

Definition at line 25 of file achievements.h.

## Field Documentation

## ◆ achievers

bv_player achievement::achievers

Definition at line 35 of file achievements.h.

Referenced by achievement_check(), achievement_player_has(), achievement_plr(), achievements_init(), handle_achievement_info(), sg_load_player_main(), and sg_load_player_main().

## ◆ cons_msg

char* achievement::cons_msg

Definition at line 39 of file achievements.h.

Referenced by achievement_later_msg(), achievements_free(), and achievements_init().

## ◆ culture

int achievement::culture

Definition at line 33 of file achievements.h.

Referenced by achievement_plr(), and achievements_init().

## ◆ first

struct player* achievement::first

Definition at line 34 of file achievements.h.

Referenced by achievement_check(), achievement_claimed(), achievement_plr(), achievements_init(), handle_achievement_info(), sg_load_player_main(), and sg_load_player_main().

## ◆ first_msg

char* achievement::first_msg

Definition at line 38 of file achievements.h.

Referenced by achievement_first_msg(), achievements_free(), and achievements_init().

## ◆ id

int achievement::id

Definition at line 27 of file achievements.h.

Referenced by achievement_number(), and achievements_init().

## ◆ name

struct name_translation achievement::name

Definition at line 28 of file achievements.h.

Referenced by achievement_name_translation(), achievement_rule_name(), handle_ruleset_achievement(), tab_achievement::initialize_new_achievement(), tab_achievement::name_given(), and tab_achievement::update_achievement_info().

## ◆ ruledit_disabled

bool achievement::ruledit_disabled

Definition at line 29 of file achievements.h.

Referenced by achievements_init(), tab_achievement::add_now(), tab_achievement::delete_now(), and tab_achievement::name_given().

## ◆ type

enum achievement_type achievement::type

Definition at line 30 of file achievements.h.

Referenced by achievement_check(), and handle_ruleset_achievement().

## ◆ unique

bool achievement::unique

Definition at line 32 of file achievements.h.

Referenced by achievement_check(), achievement_plr(), and handle_ruleset_achievement().

## ◆ value

int achievement::value

Definition at line 31 of file achievements.h.

Referenced by achievement_check(), achievements_init(), and handle_ruleset_achievement().